Bug 835091 - "Only newest packages" filter still shows older packages
"Only newest packages" filter still shows older packages
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PackageKit (Show other bugs)
6.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On: 635156
Blocks: 782183 840699
  Show dependency treegraph
 
Reported: 2012-06-25 10:09 EDT by Grant Williamson
Modified: 2012-10-08 15:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 635156
Environment:
Last Closed: 2012-08-13 10:33:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grant Williamson 2012-06-25 10:09:23 EDT
+++ This bug was initially created as a clone of Bug #635156 +++

Description of problem:
When the "Only newest packages" filter is enabled, the packages list (after a
"Find by name" for instance) still shows 2 different versions of a same package
in some circumstances.

1) if the package is not installed: it works well (ie only the newest is
presented)
2) if the package is already installed: it presents the installed package AND
the previous version


Version-Release number of selected component (if applicable):
This happens with PackageKit-0.6.6-2.fc13.i686 (gnome or k- packagekit):
-gpk-application 2.30.3
-kpackagekit-0.6.1-1.fc13.i686


How reproducible: always
 

Expected Results:  
I think that packagekit should NOT display the PREVIOUS version of a package
if it is already installed in the latest version.

It should display 2 versions of a package only if:
1) the package is installed
2) a newer version is available


Additional info:
This bug has been reported on KDE bugzilla: their answer is:
"This is a bug of yum backend. Please report a bug against it."
see: https://bugs.kde.org/show_bug.cgi?id=251603

--- Additional comment from rdieter@math.unl.edu on 2011-02-03 09:23:38 EST ---

*** Bug 635282 has been marked as a duplicate of this bug. ***

--- Additional comment from triage@lists.fedoraproject.org on 2011-05-31 09:13:32 EDT ---


This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from nicofo@gmail.com on 2011-06-10 14:23:57 EDT ---

Sorry, the bug is not closed, although something has change:

Before (fedora 13, comment #1) => "Only newest packages" had no effect: older and newer version were always shown
Now (fedora 15 ; yum-3.2.29-6) => "Only newest packages" still has no effect, but now the older versions are never shown !

Example: I search for firefox. The only result I get is: firefox 4.0.1-2 (installed ; from the Fedora Updates repository) ; but NOT firefox 4.0.1-1 (in the Fedora repository ; wich is of course enabled)

Conclusion: the "Only newest packages" filter still has no effect. Tested with gnome-packagekit, kpackagekit.
Rem: "yum list firefox" only shows firefox 4.0.1-2 (and not 4.0.1-1): I don't know if it is the expected behavior.

--- Additional comment from rhughes@redhat.com on 2012-02-02 04:27:05 EST ---

Is this fixed on F16? It seems to work for me.

--- Additional comment from nicofo@gmail.com on 2012-02-04 12:32:57 EST ---

Well, it's not (although, as said in comment #3, it's different from comment #1).

The option "Only newest packages", if not activated, seems to have no effect on already installed package.
You can see it in the example below: 
- case 1) = I search for a package which is not installed => 2 results (=2 different versions) are found
- case 2) = I search for the same package which is now installed => the search results don't display the older package anymore

-----------------------------

case 1) "libmtp" package is NOT installed

a) $ pkcon search name libmtp --filter=newest
(...)
Available       libmtp-1.1.2-1.fc16.i686          A softwa...
Available       libmtp-devel-1.1.2-1.fc16.i686    Developm...
Available       libmtp-examples-1.1.2-1.fc16.i686 Example ...

b) $ pkcon search name libmtp
(...)
Available       libmtp-1.1.0-1.fc16.i686          A softwa...
Available       libmtp-1.1.2-1.fc16.i686          A softwa...
Available       libmtp-devel-1.1.0-1.fc16.i686    Developm...
Available       libmtp-devel-1.1.2-1.fc16.i686    Developm...
Available       libmtp-examples-1.1.0-1.fc16.i686 Example ...              
Available       libmtp-examples-1.1.2-1.fc16.i686 Example ...

-----------------------------

case 2) "libmtp" package is installed

a)  $ pkcon search name libmtp --filter=newest
Installed       libmtp-1.1.2-1.fc16.i686          A softwa...
Available       libmtp-devel-1.1.2-1.fc16.i686    Developm...
Available       libmtp-examples-1.1.2-1.fc16.i686 Example ...

b) $ pkcon search name libmtp
(...)
Installed       libmtp-1.1.2-1.fc16.i686          A softwa...
Available       libmtp-devel-1.1.0-1.fc16.i686    Developm...
Available       libmtp-devel-1.1.2-1.fc16.i686    Developm...
Available       libmtp-examples-1.1.0-1.fc16.i686 Example ...              
Available       libmtp-examples-1.1.2-1.fc16.i686 Example ...
======  older version libmtp-1.1.0-1.fc16.i686 is not shown anymore !! ======

--- Additional comment from gtirloni@sysdroid.com on 2012-06-22 15:44:30 EDT ---

Issue exists in RHEL 6.3 x86_64 too.

gnome-packagekit-2.28.3-3.el6.1.x86_64
gnome-packagekit-extra-2.28.3-3.el6.1.x86_64
PackageKit-0.5.8-20.el6.x86_64
PackageKit-browser-plugin-0.5.8-20.el6.x86_64
PackageKit-command-not-found-0.5.8-20.el6.x86_64
PackageKit-device-rebind-0.5.8-20.el6.x86_64
PackageKit-glib-0.5.8-20.el6.x86_64
PackageKit-gstreamer-plugin-0.5.8-20.el6.x86_64
PackageKit-gtk-module-0.5.8-20.el6.i686
PackageKit-gtk-module-0.5.8-20.el6.x86_64
PackageKit-yum-0.5.8-20.el6.x86_64
PackageKit-yum-plugin-0.5.8-20.el6.x86_64
Comment 1 Grant Williamson 2012-06-25 10:10:28 EDT
We are seeing this issue on RHEL 6.3.

Is there any patch we could snag from git?
Comment 3 Richard Hughes 2012-08-02 06:00:29 EDT
(In reply to comment #0)
> b) $ pkcon search name libmtp
> (...)
> Installed       libmtp-1.1.2-1.fc16.i686          A softwa...
> Available       libmtp-devel-1.1.0-1.fc16.i686    Developm...
> Available       libmtp-devel-1.1.2-1.fc16.i686    Developm...
> Available       libmtp-examples-1.1.0-1.fc16.i686 Example ...              
> Available       libmtp-examples-1.1.2-1.fc16.i686 Example ...
> ======  older version libmtp-1.1.0-1.fc16.i686 is not shown anymore !! ======

Correct, PackageKit doesn't allow the user to downgrade package versions. I think the filter is working as designed, no?

Richard.
Comment 9 Jonathan Blandford 2012-08-13 10:33:12 EDT
This is the correct behavior.  Closing.
Comment 10 Giovanni Tirloni 2012-10-08 15:31:13 EDT
On RHEL 6.3 I have Firefox 1.0.7 x86_64 installed and I see this:

$ rpm -qa | grep firefox
firefox-10.0.7-1.el6_3.x86_64

$ pkcon search name firefox 
Searching by name             [=========================]         
Starting                      [=========================]         
Querying                      [=========================]         
Installed  firefox-10.0.7-1.el6_3.x86_64        	Mozilla Firefox Web browser
Available  firefox-10.0.5-1.el6_2.i686          	Mozilla Firefox Web browser
Available  firefox-10.0.5-1.el6_2.x86_64        	Mozilla Firefox Web browser
Available  firefox-10.0.7-1.el6_3.i686          	Mozilla Firefox Web browser

$ pkcon search name firefox --filter=newest
Searching by name             [=========================]         
Starting                      [=========================]         
Querying                      [=========================]         
Available  firefox-10.0.7-1.el6_3.i686      	Mozilla Firefox Web browser
Installed  firefox-10.0.7-1.el6_3.x86_64        	Mozilla Firefox Web browser
Available  firefox-10.0.5-1.el6_2.x86_64        	Mozilla Firefox Web browser

It still shows "firefox-10.0.5-1.el6_2.x86_64". This is confusing.

Note You need to log in before you can comment on or make changes to this bug.